using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.ExamManages
{
    /// <summary>
    /// 考试标签
    /// </summary>
    [Description("考试标签")]
    public class ExamTagDto:UpdateExamTagDto
    {
        
    }

    /// <summary>
    /// 考试标签
    /// </summary>
    [Description("考试标签")]
    public class AddExamTagDto : IAddRequest
    {
        /// <summary>
        /// 名称
        /// </summary>
        [Description("名称")]
        public string Name { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        [Description("父级ID")]
        public string? ParentId { get; set; }
    }

    /// <summary>
    /// 主键
    /// </summary>
    public class UpdateExamTagDto :AddExamTagDto, IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
